Bug 1999039 - [UI] OpenShift Data Foundation Overview page is showing wrong status of storage system
Summary: [UI] OpenShift Data Foundation Overview page is showing wrong status of stora...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Storage Plugin
Version: 4.9
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: ---
: 4.9.0
Assignee: Bipul Adhikari
QA Contact: Jilju Joy
URL:
Whiteboard:
: 1999606 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-30 09:57 UTC by Jilju Joy
Modified: 2021-10-18 17:49 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-18 17:49:46 UTC
Target Upstream Version:


Attachments (Terms of Use)
Screen recording showing the wrong status of storage system (3.91 MB, video/webm)
2021-08-30 09:57 UTC, Jilju Joy
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 9954 0 None None None 2021-08-31 16:22:56 UTC
Red Hat Product Errata RHSA-2021:3759 0 None None None 2021-10-18 17:49:58 UTC

Description Jilju Joy 2021-08-30 09:57:11 UTC
Created attachment 1819043 [details]
Screen recording showing the wrong status of storage system

Description of problem (please be detailed as possible and provide log
snippests):
OpenShift Data Foundation Overview page is showing "Degraded" status for 
the storage system "ocs-storagecluster-storagesystem" when its actual status is Ready.

Screen recording is attached for reference. 

$ oc get storagesystem
NAME                               STORAGE-SYSTEM-KIND                  STORAGE-SYSTEM-NAME   PHASE
ocs-storagecluster-storagesystem   storagecluster.ocs.openshift.io/v1   ocs-storagecluster    Ready


$ oc get storagecluster
NAME                 AGE   PHASE   EXTERNAL   CREATED AT             VERSION
ocs-storagecluster   22m   Ready              2021-08-30T09:21:50Z   4.9.0


Version of all relevant components (if applicable):
OCP 4.9.0-0.nightly-2021-08-29-010334
odf-operator.v4.9.0-117.ci

Does this issue impact your ability to continue to work with the product
(please explain in detail what is the user impact)?
UI showing wrong status of storage system


Is there any workaround available to the best of your knowledge?
No

Rate from 1 - 5 the complexity of the scenario you performed that caused this
bug (1 - very simple, 5 - very complex)?
1

Can this issue reproducible?
Yes

Can this issue reproduce from the UI?
Yes

If this is a regression, please provide more details to justify this:


Steps to Reproduce:
1. Install ODF and create a storage system "ocs-storagecluster-storagesystem" from UI
2. Go to Storage --> OpenShift Data Foundation --> Overview tab
3. Check the status of Storage system and verify that it is matching the actual status of storage system.


Actual results:
OpenShift Data Foundation Overview page is showing "Degraded" status for 
the storage system "ocs-storagecluster-storagesystem" when its actual status is Ready.

Expected results:
OpenShift Data Foundation Overview page should show the actual status of storage system

Additional info:

Comment 2 Shay Rozen 2021-08-31 12:33:08 UTC
*** Bug 1999606 has been marked as a duplicate of this bug. ***

Comment 37 errata-xmlrpc 2021-10-18 17:49:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.9.0 bug fix and security update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2021:3759


Note You need to log in before you can comment on or make changes to this bug.